import { Marketing } from '@colijnit/transactionapi/build/model/marketing.bo';
import { TransactionInfoResponse } from '@colijnit/transactionapi/build/model/transaction-info-response.bo';
import { TransactionKind } from '@colijnit/transactionapi/build/enum/transaction-kind.enum';
import { Country } from '@colijnit/transactionapi/build/model/country.bo';
import { Language } from '@colijnit/transactionapi/build/model/language.bo';
import { SequenceName } from '@colijnit/transactionapi/build/enum/sequence-name.enum';
import { DeliveryMethod } from '@colijnit/transactionapi/build/model/delivery-method.bo';
import { DeliveryOption } from '@colijnit/transactionapi/build/model/delivery-option.bo';
import { GetPostalCodeRetrievalOutputParams } from '@colijnit/transactionapi/build/model/get-postal-code-retrieval-output-params';
import { TransactionArticleWarehouse } from '@colijnit/transactionapi/build/model/transaction-article-warehouse.bo';
import { ArticleFullObject } from '@colijnit/transactionapi/build/model/article-full-object';
import { StandardText } from '../model/standard-text';
import { CustomerGroup } from '@colijnit/transactionapi/build/model/customer-group.bo';
import { Title } from '@colijnit/transactionapi/build/model/title.bo';
import { TransactionLineInfo } from '@colijnit/transactionapi/build/model/transaction-line-info.bo';
import { CashRegister } from '@colijnit/transactionapi/build/model/cash-register';
import { ResolveLinePendingReasonRequest } from '@colijnit/transactionapi/build/model/resolve-pending-reason-request.bo';
import { PriceList } from '@colijnit/transactionapi/build/model/price-list';
import { Vat } from '@colijnit/transactionapi/build/model/vat';
import { DiscountType } from '@colijnit/transactionapi/build/enum/discount-type.enum';
import { TransactionSearchViewRequest } from '@colijnit/transactionapi/build/model/transaction-search-view-request';
import { OnHoldCode } from '@colijnit/transactionapi/build/model/on-hold-code.bo';
import { Warehouse } from '@colijnit/transactionapi/build/model/warehouse.bo';
import { CodeDescription } from '@colijnit/transactionapi/build/model/code-description';
import { ReceiveGoodsForPurchaseOrderRequest } from '@colijnit/transactionapi/build/model/receive-goods-for-purchase-order-request.bo';
import { ReceiveGoodsForPurchaseOrderCorrectionRequest } from '@colijnit/transactionapi/build/model/receive-goods-for-purchase-order-correction-request.bo';
import { CashOnDeliveryData } from '@colijnit/transactionapi/build/model/cash-on-delivery-data';
import { ChangeHeaderCashOnDeliveryAmountRequest } from '@colijnit/transactionapi/build/model/change-header-cash-on-delivery-amount-request';
import { GetPurchasePortalLine } from '@colijnit/transactionapi/build/model/get-purchase-portal-line';
import { PurchasePortalLine } from '@colijnit/transactionapi/build/model/purchase-portal-line.bo';
import { CreatePaymentLinkResult } from '@colijnit/transactionapi/build/model/create-payment-link-result.bo';
import { TransactionSearchResult } from '../model/transaction-search-result';
import { ResolveHeaderPendingReasonRequest } from '@colijnit/transactionapi/build/model/resolve-header-pending-reason-request.bo';
import { PaymentLinkStatus } from '@colijnit/transactionapi/build/model/payment-link-status.bo';
import { TransactionSelectMultipleCacheService } from '../cache/service/transaction-select-multiple-cache.service';
import { TransactionSelectMultipleParameterizedCacheService } from '../cache/service/transaction-select-multiple-parameterized-cache.service';
import { TransactionConnectorAdapterService } from './transaction-connector-adapter.service';
import { TransactionSelectSingleCacheService } from '../cache/service/transaction-select-single-cache.service';
import { GetPurchaseOrderConfirmation } from '@colijnit/transactionapi/build/model/get-purchase-order-confirmation';
import { TransactionLockResult } from '@colijnit/transactionapi/build/model/transaction-lock-result.bo';
import { PrivacySetting } from '@colijnit/mainapi/build/model/privacy-setting.bo';
import { RelationPrivacySetting } from '@colijnit/relationapi/build/model/relation-privacy-setting.bo';
import { CoDomainValue } from '@colijnit/mainapi/build/model/co-domain-value.bo';
import { SalesPerson } from '@colijnit/relationapi/build/model/sales-person.bo';
import { Tag } from '@colijnit/mainapi/build/model/tag';
import { StockStickersPrintLayouts } from '@colijnit/sharedapi/build/model/report/stock-stickers-print-layouts.bo';
import { AvailableStock } from '@colijnit/transactionapi/build/model/available-stock.bo';
import { AllocateGoodsForSalesOrderRequest } from '@colijnit/transactionapi/build/model/allocate-goods-for-sales-order-request';
import { AllocateGoodsForSalesOrderCorrectionRequest } from '@colijnit/transactionapi/build/model/allocate-goods-for-sales-order-correction-request';
import { ReportLayoutSelectionEmail } from '@colijnit/mainapi/build/model/report-layout-selection-email.bo';
import { ReportLayoutSelectionPrint } from '@colijnit/mainapi/build/model/report-layout-selection-print.bo';
import { CreateSalesOrderRequest } from '@colijnit/transactionapi/build/model/create-sales-order-request';
import { CreateCashRegisterOrderRequest } from '@colijnit/transactionapi/build/model/create-cash-register-order-request';
import { CreatePurchaseOrderRequest } from '@colijnit/transactionapi/build/model/create-purchase-order-request';
import { CreateServiceOrderRequest } from '@colijnit/transactionapi/build/model/create-service-order-request';
import { CreateSalesQuotationRequest } from '@colijnit/transactionapi/build/model/create-sales-quotation-request';
import { PurchaseAdviceFilters } from '@colijnit/transactionapi/build/model/purchase-advice-filters';
import { PurchaseAdviceLine } from '@colijnit/transactionapi/build/model/purchase-advice-line.bo';
import { EmailDeliveryNoteRequest } from '@colijnit/transactionapi/build/model/email-delivery-note-request';
import { PdfDeliveryNoteRequest } from '@colijnit/transactionapi/build/model/pdf-delivery-note-request';
import { PrintDeliveryNoteRequest } from '@colijnit/transactionapi/build/model/print-delivery-note-request';
import { TransactionInfoHistory } from '@colijnit/transactionapi/build/model/transaction-info-history.bo';
import { EmailInvoiceRequest } from '@colijnit/transactionapi/build/model/email-invoice-request';
import { PdfInvoiceRequest } from '@colijnit/transactionapi/build/model/pdf-invoice-request';
import { PrintInvoiceRequest } from '@colijnit/transactionapi/build/model/print-invoice-request';
import { RefTransaction } from '@colijnit/transactionapi/build/model/ref-transaction.bo';
import { TagTreeItem } from '@colijnit/mainapi/build/model/tag-tree-item.bo';
import { InternalParam } from '@colijnit/mainapi/build/enum/internal-param.enum';
import { GoodsReceiptHistory } from '@colijnit/transactionapi/build/model/goods-receipt-history.bo';
import { GoodsAllocationHistory } from '@colijnit/transactionapi/build/model/goods-allocation-history.bo';
import { LayoutCode } from '@colijnit/transactionapi/build/enum/layout-code.enum';
import { HistoricReport } from '@colijnit/transactionapi/build/model/historic-report.bo';
import { Printer } from '@colijnit/mainapi/build/model/printer.bo';
import { Currency } from '@colijnit/mainapi/build/model/currency.bo';
import { PaymentCondition } from '@colijnit/mainapi/build/model/payment-condition.bo';
import { TransactionSelectSingleParameterizedCacheService } from '../cache/service/transaction-select-single-parameterized-cache.service';
import { GoodsToBePickedForOrderRequest } from '@colijnit/transactionapi/build/model/goods-to-be-picked-for-order-request';
import { WarehouseStockInfo } from '@colijnit/transactionapi/build/model/warehouse-stock-info.bo';
import { GoodsToBePickedHistory } from '@colijnit/transactionapi/build/model/goods-to-be-picked-history';
import { GoodsPickedHistory } from '@colijnit/transactionapi/build/model/goods-picked-history';
import { PdfHistoricDeliveryNoteRequest } from '@colijnit/transactionapi/build/model/pdf-historic-delivery-note-request';
import { EmailHistoricDeliveryNoteRequest } from '@colijnit/transactionapi/build/model/email-historic-delivery-note-request';
import { PrintHistoricDeliveryNoteRequest } from '@colijnit/transactionapi/build/model/print-historic-delivery-note-request';
import { PrintHistoricOrderConfirmationRequest } from '@colijnit/transactionapi/build/model/print-historic-order-confirmation-request';
import { EmailHistoricOrderConfirmationRequest } from '@colijnit/transactionapi/build/model/email-historic-order-confirmation-request';
import { PdfHistoricInvoiceRequest } from '@colijnit/transactionapi/build/model/pdf-historic-invoice-request';
import { PrintHistoricInvoiceRequest } from '@colijnit/transactionapi/build/model/print-historic-invoice-request';
import { EmailHistoricInvoiceRequest } from '@colijnit/transactionapi/build/model/email-historic-invoice-request';
import { PrintPurchaseOrderRequest } from '@colijnit/transactionapi/build/model/print-purchase-order-request';
import { PdfPurchaseOrderRequest } from '@colijnit/transactionapi/build/model/pdf-purchase-order-request';
import { PrintOrderConfirmationRequest } from '@colijnit/transactionapi/build/model/print-order-confirmation-request';
import { PdfOrderConfirmationRequest } from '@colijnit/transactionapi/build/model/pdf-order-confirmation-request';
import { EmailOrderConfirmationRequest } from '@colijnit/transactionapi/build/model/email-order-confirmation-request';
import { EmailPurchaseOrderRequest } from '@colijnit/transactionapi/build/model/email-purchase-order-request';
import { ObjectConfiguration } from '@colijnit/ioneconnector/build/model/object-configuration';
import { CoDocument } from '@colijnit/mainapi/build/model/co-document.bo';
import { GoodsPickedRequest } from '@colijnit/transactionapi/build/model/goods-picked-request';
import { DeleteGoodsPickedForOrderRequest } from '@colijnit/transactionapi/build/model/delete-goods-picked-for-order-request';
import { DeleteGoodsToBePickedForOrderRequest } from '@colijnit/transactionapi/build/model/delete-goods-to-be-picked-for-order-request';
import { CashDrawersRequest } from '@colijnit/transactionapi/build/model/cash-drawers-request';
import { CashDrawer } from '@colijnit/transactionapi/build/model/cash-drawer.bo';
import { PrintPosReceiptRequest } from '@colijnit/transactionapi/build/model/print-pos-receipt-request';
import { PrintHistoricPosReceiptRequest } from '@colijnit/transactionapi/build/model/print-historic-pos-receipt-request';
import { EmailPosReceiptRequest } from '@colijnit/transactionapi/build/model/email-pos-receipt-request';
import { EmailHistoricPosReceiptRequest } from '@colijnit/transactionapi/build/model/email-historic-pos-receipt-request';
import { TagCategory } from '@colijnit/mainapi/build/enum/tab-category.enum';
import { CopyTransactionRequest } from '@colijnit/transactionapi/build/model/copy-transaction-request';
import { EmailQuotationRequest } from '@colijnit/transactionapi/build/model/email-quotation-request';
import { EmailHistoricQuotationRequest } from '@colijnit/transactionapi/build/model/email-historic-quotation-request';
import { PdfQuotationRequest } from '@colijnit/transactionapi/build/model/pdf-quotation-request';
import { PdfHistoricQuotationRequest } from '@colijnit/transactionapi/build/model/pdf-historic-quotation-request';
import { PrintQuotationRequest } from '@colijnit/transactionapi/build/model/print-quotation-request';
import { PrintHistoricQuotationRequest } from '@colijnit/transactionapi/build/model/print-historic-quotation-request';
import { ChangeHeaderScoringChanceRequest } from '@colijnit/transactionapi/build/model/change-header-scoring-chance-request';
import { ChangeHeaderExpectedScoringDateRequest } from '@colijnit/transactionapi/build/model/change-header-expected-scoring-date-request';
import { ChangeHeaderRetailStadiumRequest } from '@colijnit/transactionapi/build/model/change-header-retail-stadium-request';
import { RetailStadium } from '@colijnit/transactionapi/build/model/retail-stadium.bo';
import { WorkFlowStatusName } from '@colijnit/transactionapi/build/model/workflow-status-name.bo';
import { ChangeLineQuantitySelectedLineRequest } from '@colijnit/transactionapi/build/model/change-line-quantity-selected-line-request';
import { OrderLineSetCategory } from '@colijnit/mainapi/build/model/order-line-set-category.bo';
import { OrderLineSetDTO } from '@colijnit/transactionapi/build/model/order-line-set-dto';
import { TransactionAddOrderLineSetTextLineRequest } from '@colijnit/transactionapi/build/model/transaction-add-order-line-set-text-line-request';
import { BehaviorSubject } from 'rxjs';
import { OrderConfirmationAnalysisResult } from '@colijnit/transactionapi/build/model/order-confirmation-analysis-result.bo';
import { ArticleExtended } from '@colijnit/articleapi/build/model/article-extended.bo';
import { PdfPosReceiptRequest } from '@colijnit/transactionapi/build/model/pdf-pos-receipt-request';
import { TransactionLspInformationRequest } from '@colijnit/transactionapi/build/model/transaction-lsp-information-request';
import { PackageLSP } from '@colijnit/transactionapi/build/model/package-lsp.bo';
import { AnalyzedOrderConfirmation } from '@colijnit/transactionapi/build/model/analyzed-order-confirmation.bo';
import { OrderConfirmationTransactionLink } from '@colijnit/transactionapi/build/model/order-confirmation-transaction-link.bo';
import { PdfPosReceiptResponse } from '@colijnit/transactionapi/build/model/pdf-pos-receipt-response.bo';
import { ProjectCode } from '@colijnit/transactionapi/build/model/project-code.bo';
import { CashType } from '@colijnit/transactionapi/build/model/cash-type.bo';
import { PosGroup } from '@colijnit/transactionapi/build/model/pos-group.bo';
import { PdfHistoricOrderConfirmationRequest } from '@colijnit/transactionapi/build/model/pdf-historic-order-confirmation-request';
import { CauseCode } from '@colijnit/transactionapi/build/model/cause-code.bo';
import { ValidationResult } from '@colijnit/ioneconnector/build/model/validation-result';
import { PdfTransactionSearchOverviewResponse } from '@colijnit/transactionapi/build/model/pdf-transaction-search-overview-response';
import { PrintPurchaseOrderForSalesOrderRequest } from '@colijnit/transactionapi/build/model/print-purchase-order-for-sales-order-request';
import { Activity } from '@colijnit/mainapi/build/model/activity.bo';
import { Planning } from '@colijnit/transactionapi/build/model/planning.bo';
import { PlanningFilterObject } from '@colijnit/transactionapi/build/model/planning-filter-object.bo';
import { PlanOrder } from '@colijnit/transactionapi/build/model/plan-order.bo';
import { PlanningTransportWeek } from '@colijnit/transactionapi/build/model/planning-transport-week.bo';
import { GetTransportOrdersRequest } from '@colijnit/transactionapi/build/model/get-transport-orders-request.bo';
import { OrderLinesToPlanRequest } from '@colijnit/transactionapi/build/model/order-lines-to-plan-request.bo';
import { PlanOrderLine } from '@colijnit/transactionapi/build/model/plan-order-line.bo';
import { TransactionMarginInfo } from '@colijnit/transactionapi/build/model/transaction-margin-info.bo';
import { DataServiceResponseData } from '@colijnit/ioneconnector/build/model/data-service-response-data';
import { OrderLinesPlannedRequest } from '@colijnit/transactionapi/build/model/order-lines-planned-request.bo';
import { CreateServiceOrderWithSourceTransactionLineRequest } from '@colijnit/transactionapi/build/model/create-service-order-with-source-transaction-line-request';
import { PrintDeliveryNotesRequest } from '@colijnit/transactionapi/build/model/print-delivery-notes-request';
import { CreateServiceOrderWithSourceGoodRequest } from '@colijnit/transactionapi/build/model/create-service-order-with-source-good-request';
import { CreateServiceOrderWithSLARequest } from '@colijnit/transactionapi/build/model/create-service-order-with-SLA-request';
import { CreateServiceOrderWithSourceOrderNrAndArticleDescriptionRequest } from '@colijnit/transactionapi/build/model/create-service-order-with-source-ordernr-and-article-description-request';
import { ChangeServiceHeaderReportMessageRequest } from '@colijnit/transactionapi/build/model/change-service-header-report-message-request';
import { SupplierArticleStockForecast } from '@colijnit/transactionapi/build/model/supplier-article-stock-forecast';
import { ServiceWizard } from '@colijnit/transactionapi/build/model/service-wizard';
import { ServiceType } from '@colijnit/transactionapi/build/model/service-type';
import { AddHeaderImageRequest } from '@colijnit/transactionapi/build/model/add-header-image-request';
import { DeleteHeaderImageRequest } from '@colijnit/transactionapi/build/model/delete-header-image-request';
import { ChangeServiceHeaderCauseCodeRequest } from '@colijnit/transactionapi/build/model/change-service-headercause-code-request';
import { ChangeServiceHeaderPriorityRequest } from '@colijnit/transactionapi/build/model/change-service-header-priority-request';
import { ChangeServiceHeaderEntryTypeRequest } from '@colijnit/transactionapi/build/model/change-service-header-entry-type-request';
import { TransactionLineSearchIndex } from '@colijnit/transactionapi/build/model/transaction-line-search-index.bo';
import { ChangeServiceHeaderWizardDataRequest } from '@colijnit/transactionapi/build/model/change-service-header-wizard-data-request';
import { ChangeServiceHeaderServiceTypeRequest } from '@colijnit/transactionapi/build/model/change-service-header-service-type-request';
import { OrderReservationSalesOrderLinesRequest } from '@colijnit/transactionapi/build/model/order-reservation-sales-order-lines-request.bo';
import { PurchaseReservation } from '@colijnit/transactionapi/build/model/purchase-reservation.bo';
import { ProcessOrderReservationRequest } from '@colijnit/transactionapi/build/model/process-order-reservation-request.bo';
import { District } from '@colijnit/transactionapi/build/model/district.bo';
import { RelationListObject } from '@colijnit/transactionapi/build/model/relation-list-object.bo';
import { Skill } from '@colijnit/transactionapi/build/model/skill.bo';
import { UserGroup } from '@colijnit/transactionapi/build/model/user-group.bo';
import { ResourcePlanningInputParams } from '@colijnit/transactionapi/build/model/resource-planning-input-params.bo';
import { DoDeliveryPlanningRequestInputParams } from '@colijnit/transactionapi/build/model/do-delivery-planning-request-input-params.bo';
import { PlanTimes } from '@colijnit/transactionapi/build/model/plan-times.bo';
import { InternalDefault } from '@colijnit/mainapi/build/enum/internal-default.enum';
import { PlanningSendOrders } from '@colijnit/transactionapi/build/model/planning-send-orders.bo';
import { BatchTransactionSendingRequest } from '@colijnit/transactionapi/build/model/batch-transaction-sending-request';
import { BatchJobProgress } from '@colijnit/transactionapi/build/model/batch-job-progress.bo';
import { SLAProduct } from '@colijnit/transactionapi/build/model/SLA-product';
import { TransactionLineCopyRequest } from '@colijnit/transactionapi/build/model/transaction-line-copy-request.bo';
import { ReportingPdfBaseResponse } from '@colijnit/transactionapi/build/model/reporting-pdf-base-response.bo';
import { PurchaseHistory } from '@colijnit/transactionapi/build/model/purchase-history';
import { SupplierProduct } from '@colijnit/transactionapi/build/model/supplier-product.bo';
import { GetDocsToSignForTransRequest } from '@colijnit/transactionapi/build/model/get-docs-to-sign-for-trans-request.bo';
import { ReportListObject } from '@colijnit/transactionapi/build/model/report-list-object';
import { PlannedResourceForTransactionLine } from '@colijnit/transactionapi/build/model/planned-resource-for-transaction-line.bo';
import { PrintPackageStickerRequest } from '@colijnit/transactionapi/build/model/print-package-sticker-request.bo';
import { PdfPackageStickerRequest } from '@colijnit/transactionapi/build/model/pdf-package-sticker-request.bo';
import { PurchaseInfo } from '@colijnit/transactionapi/build/model/purchase-info';
import { Voucher } from '@colijnit/transactionapi/build/model/voucher.bo';
import { FormResponse } from '@colijnit/mainapi/build/model/form-response.bo';
import { AddExpenseToCashRegisterOrderRequest } from '@colijnit/transactionapi/build/model/add-expense-to-cash-register-order-request';
import { Form } from '@colijnit/mainapi/build/model/form.bo';
import { ConvertQuotationToSalesOrderRequest } from "@colijnit/transactionapi/build/model/ConvertQuotationToSalesOrderRequest";
import { TableName } from '@colijnit/mainapi/build/enum/table-name.enum';
import { AddReceiptToCashRegisterOrderRequest } from "@colijnit/transactionapi/build/model/add-receipt-to-cash-register-order-request";
import { GeneratePurchaseOrdersForDirectSellSalesOrdersRequest } from "@colijnit/transactionapi/build/model/generate-purchase-orders-for-direct-sell-sales-orders-request";
import { PrintServiceOrderRequest } from "@colijnit/transactionapi/build/model/print-service-order-request";
import { EmailServiceOrderRequest } from "@colijnit/transactionapi/build/model/email-service-order-request";
import { PdfServiceOrderRequest } from "@colijnit/transactionapi/build/model/pdf-service-order-request";
import { PrintHistoricServiceOrderRequest } from "@colijnit/transactionapi/build/model/print-historic-service-order-request";
import { EmailHistoricServiceOrderRequest } from "@colijnit/transactionapi/build/model/email-historic-service-order-request";
import { PdfHistoricServiceOrderRequest } from "@colijnit/transactionapi/build/model/pdf-historic-service-order-request";
import { GenerateAndSendPurchaseOrdersRequest } from "@colijnit/transactionapi/build/model/generate-and-send-purchase-orders-request";
export declare class TransactionConnectorService {
    private _adapterService;
    private _selectSingleCacheService;
    private _selectMultipleCacheService;
    private _selectMultipleParameterizedCacheService;
    private _selectSingleParameterizedCacheService;
    connectionInitialized: BehaviorSubject<boolean>;
    constructor(_adapterService: TransactionConnectorAdapterService, _selectSingleCacheService: TransactionSelectSingleCacheService, _selectMultipleCacheService: TransactionSelectMultipleCacheService, _selectMultipleParameterizedCacheService: TransactionSelectMultipleParameterizedCacheService, _selectSingleParameterizedCacheService: TransactionSelectSingleParameterizedCacheService);
    connect(): Promise<void>;
    logOut(): Promise<void>;
    getDocumentContent(docId: number, thumbnail?: boolean): Promise<string>;
    getArticleExtended(articleNr: string): Promise<ArticleExtended>;
    storeSignedDoc(documentId: number, documentBody: string): Promise<void>;
    getArticleFullObject(goodId: number): Promise<ArticleFullObject>;
    getGoodIdFromArticleNr(articleNr: string): Promise<number>;
    getCountries(): Promise<Country[]>;
    getLanguages(): Promise<Language[]>;
    getCustomerGroups(): Promise<CustomerGroup[]>;
    getTitles(): Promise<Title[]>;
    getWorkFlowStatusNames(transactionKind: TransactionKind): Promise<WorkFlowStatusName[]>;
    getCountry(countryCode: string): Promise<Country>;
    getPrivacySettings(): Promise<PrivacySetting[]>;
    getRelationPrivacySettings(): Promise<RelationPrivacySetting[]>;
    getMarketingCodes(): Promise<Marketing[]>;
    createTransaction(kind: TransactionKind, branchNr: string): Promise<TransactionInfoResponse>;
    createSalesOrder(request: CreateSalesOrderRequest): Promise<TransactionInfoResponse>;
    createCashRegisterOrder(request: CreateCashRegisterOrderRequest): Promise<TransactionInfoResponse>;
    createPurchaseOrder(request: CreatePurchaseOrderRequest): Promise<TransactionInfoResponse>;
    createServiceOrder(request: CreateServiceOrderRequest): Promise<TransactionInfoResponse>;
    createServiceOrderWithSourceTransactionLine(request: CreateServiceOrderWithSourceTransactionLineRequest): Promise<TransactionInfoResponse>;
    createCopyTransactionLine(request: TransactionLineCopyRequest): Promise<TransactionInfoResponse>;
    createServiceOrderWithSourceGood(request: CreateServiceOrderWithSourceGoodRequest): Promise<TransactionInfoResponse>;
    createServiceOrderWithSourceOrderNrAndArticleDescription(request: CreateServiceOrderWithSourceOrderNrAndArticleDescriptionRequest): Promise<TransactionInfoResponse>;
    createServiceOrderWithSLA(request: CreateServiceOrderWithSLARequest): Promise<TransactionInfoResponse>;
    createSalesQuotation(request: CreateSalesQuotationRequest): Promise<TransactionInfoResponse>;
    convertSalesQuotationToSalesOrder(request: ConvertQuotationToSalesOrderRequest): Promise<TransactionInfoResponse>;
    getArticleBoundTextLinesOfArticleLine(articleLineUuid: string): Promise<TransactionLineInfo[]>;
    getTransactionByNrAndKind(kind: TransactionKind, transactionNo: number): Promise<TransactionInfoResponse>;
    getTransactionHeaderByNrAndKind(kind: TransactionKind, transactionNo: number): Promise<TransactionInfoResponse>;
    getTransactionById(transactionId: number): Promise<TransactionInfoResponse>;
    getWebSessionSalesOrder(transactionUuid: string): Promise<TransactionInfoResponse>;
    deleteTransactionByUuId(uuid: string): Promise<TransactionInfoResponse>;
    cancelTransactionByUuId(uuid: string): Promise<TransactionInfoResponse>;
    lockTransactionById(transId: number, version: number): Promise<TransactionLockResult>;
    commit(): Promise<boolean>;
    rollback(): Promise<boolean>;
    rollbackBeacon(): Promise<void>;
    saveTransaction(uuid: string, showLoader?: boolean): Promise<TransactionInfoResponse>;
    getCashRegisters(branch?: string, group?: number, overrideOld?: boolean): Promise<CashRegister[]>;
    getCashDrawers(cashDrawersRequest: CashDrawersRequest, overrideOld?: boolean): Promise<CashDrawer[]>;
    getPriceLists(code?: string): Promise<PriceList[]>;
    getVatList(onlyValid?: boolean): Promise<Vat[]>;
    getTransVatCodes(type: string, date: Date): Promise<Vat[]>;
    searchTransactions(request: TransactionSearchViewRequest): Promise<TransactionSearchResult>;
    getSequenceValue(sequenceName: SequenceName): Promise<number>;
    getDeliveryMethods(): Promise<DeliveryMethod[]>;
    getDeliveryOptions(): Promise<DeliveryOption[]>;
    addRelationToTransaction(uuid: string, relationId: number): Promise<TransactionInfoResponse>;
    getPostalCodeRetrieval(postcalCode: string, houseNo: string): Promise<GetPostalCodeRetrievalOutputParams>;
    addWebSessionTransactionLine(transactionUuid: string, articleNumber: string, quantity: number): Promise<TransactionInfoResponse>;
    addTransactionLine(uuid: string, articleNo: string, quantity: number, aboveLineNr: number, belowLineNr: number, showLoader?: boolean): Promise<TransactionInfoResponse>;
    addTextLineToTransaction(uuid: string, showOnDocuments: number, text: string, amount: number, articleBound: boolean, refArticleLineNr: number, aboveLineNr?: number, belowLineNr?: number): Promise<TransactionInfoResponse>;
    updateTextLine(uuid: string, lineUuid: string, showOnDocuments: number, text: string): Promise<TransactionInfoResponse>;
    changeLineSequence(uuid: string, lineUuid: string, aboveLineNr?: number, belowLineNr?: number): Promise<TransactionInfoResponse>;
    cancelAddTransactionLine(lineUuid: string): Promise<TransactionInfoResponse>;
    deleteTransactionLine(uuid: string, lineUuid: string): Promise<TransactionInfoResponse>;
    changeTransactionLineQuantity(uuid: string, lineUuid: string, newQuantity: number): Promise<TransactionInfoResponse>;
    changeTransactionLineQuantitySelected(uuid: string, lines: ChangeLineQuantitySelectedLineRequest[]): Promise<TransactionInfoResponse>;
    changeTransactionLineQuantitySelectNone(uuid: string): Promise<TransactionInfoResponse>;
    resolvePendingLineReason(pendingLineValues: ResolveLinePendingReasonRequest): Promise<TransactionInfoResponse>;
    resolvePendingHeaderReason(pendingHeaderValues: ResolveHeaderPendingReasonRequest): Promise<TransactionInfoResponse>;
    getCommissionCodes(languageCode: string): Promise<CoDomainValue[]>;
    getAddressTypes(languageCode: string): Promise<CoDomainValue[]>;
    getInOutCollection(languageCode: string): Promise<CoDomainValue[]>;
    getSLATypes(languageCode: string): Promise<CoDomainValue[]>;
    getYesNoCollection(languageCode: string): Promise<CoDomainValue[]>;
    getPriceKindCollection(languageCode: string): Promise<CoDomainValue[]>;
    getPriorityCollection(languageCode: string): Promise<CoDomainValue[]>;
    getEntryTypes(languageCode: string): Promise<CoDomainValue[]>;
    getDomainTypes(languageCode: string): Promise<CoDomainValue[]>;
    getCauseCodes(): Promise<CauseCode[]>;
    getTransactionArticleWarehouses(goodId: number): Promise<TransactionArticleWarehouse[]>;
    setRelationByUser(uuid: string, username: string, password: string): Promise<boolean>;
    getTextTypes(languageCode: string): Promise<CoDomainValue[]>;
    getStandardTexts(languageCode: string): Promise<StandardText[]>;
    getSalesPersons(date?: Date): Promise<SalesPerson[]>;
    getRetailStadiums(): Promise<RetailStadium[]>;
    getTags(category: number): Promise<Tag[]>;
    getOnHoldCodes(): Promise<OnHoldCode[]>;
    getWarehouses(branchNr?: string): Promise<Warehouse[]>;
    getWarehouseStockInfoByGoodAndBranch(goodId: number, branchNr: string): Promise<WarehouseStockInfo[]>;
    getHistoricStateValues(): Promise<CodeDescription[]>;
    getMaxConfirmedDeliveryDateForPurchaseOrder(transId: number): Promise<Date>;
    changeTransactionLineCommissionCode(uuid: string, lineUuid: string, code: string): Promise<TransactionInfoResponse>;
    changeTransactionLineDirectSell(transactionUuid: string, lineUuid: string, newDirectSell: boolean, newSupplierId: number, newPurchaseOrderNumber: string, newStockForecastDeliveryDate: Date): Promise<TransactionInfoResponse>;
    changeTransactionLineSupplier(uuid: string, lineUuid: string, id: number): Promise<TransactionInfoResponse>;
    changeTransactionLineWarehouse(uuid: string, lineUuid: string, warehouseNumber: number): Promise<TransactionInfoResponse>;
    changeTransactionLineInterBranchSourceWarehouse(uuid: string, lineUuid: string, interBranchSourceWarehouseNr: number): Promise<TransactionInfoResponse>;
    changeLineWarehouseAndSetInterBranchSourceWarehouse(uuid: string, lineUuid: string, warehouse: number, sourceWarehouse: number): Promise<TransactionInfoResponse>;
    changeLineWarehouseAndClearInterBranchSourceWarehouse(uuid: string, lineUuid: string): Promise<TransactionInfoResponse>;
    changeTransactionLinePrice(uuid: string, lineUuid: string, price: number): Promise<TransactionInfoResponse>;
    changeTransactionLinePurchasePrice(uuid: string, lineUuid: string, price: number): Promise<TransactionInfoResponse>;
    changeTransactionLinePurchaseDescription(uuid: string, lineUuid: string, description: string): Promise<TransactionInfoResponse>;
    changeTransactionLinePriceList(uuid: string, lineUuid: string, priceList: string): Promise<TransactionInfoResponse>;
    changeTransactionLineVat(uuid: string, lineUuid: string, id: number): Promise<TransactionInfoResponse>;
    changeTransactionLineLineDiscount(uuid: string, lineUuid: string, type: DiscountType, discount: number, reason: string, code: string): Promise<TransactionInfoResponse>;
    changeTransactionLineDropShipment(uuid: string, lineUuid: string, newDropShipment: boolean): Promise<TransactionInfoResponse>;
    changeTransactionLineDeliveryMethod(uuid: string, lineUuid: string, method: string): Promise<TransactionInfoResponse>;
    changeTransactionLineDeliveryDate(uuid: string, lineUuid: string, date: Date): Promise<TransactionInfoResponse>;
    changeTransactionLineAssemblyTime(uuid: string, lineUuid: string, time: number): Promise<TransactionInfoResponse>;
    changeTransactionLineEditTime(uuid: string, lineUuid: string, time: number): Promise<TransactionInfoResponse>;
    changeTransactionLineSupplierArticleNumber(uuid: string, lineUuid: string, articleNumber: string): Promise<TransactionInfoResponse>;
    changeTransactionLineReference(uuid: string, lineUuid: string, reference: string): Promise<TransactionInfoResponse>;
    changeLineSupplierArticleNumber(uuid: string, lineUuid: string, artNr: string): Promise<TransactionInfoResponse>;
    changeTransactionLineGoodDescription(uuid: string, lineUuid: string, goodDescription: string): Promise<TransactionInfoResponse>;
    changeTransactionLineCollectionCode(uuid: string, lineUuid: string, code: string): Promise<TransactionInfoResponse>;
    changeHeaderTransactionDefinitive(uuid: string, definitive: boolean): Promise<TransactionInfoResponse>;
    changeHeaderDiscountOnOrderLine(uuid: string, discount: boolean): Promise<TransactionInfoResponse>;
    changeHeaderDeliveryAddress(uuid: string, newNawNr: number): Promise<TransactionInfoResponse>;
    changeHeaderInvoiceAddress(uuid: string, newNawNr: number): Promise<TransactionInfoResponse>;
    changeHeaderTransactionDeliveryDate(uuid: string, date: Date): Promise<TransactionInfoResponse>;
    changeHeaderTransactionDeliveryDateDefinitive(uuid: string, definitive: boolean): Promise<TransactionInfoResponse>;
    changeHeaderTransactionRemark(uuid: string, remark: string): Promise<TransactionInfoResponse>;
    changeHeaderTransactionReference(uuid: string, reference: string): Promise<TransactionInfoResponse>;
    changeHeaderTransactionRelationReference(uuid: string, reference: string): Promise<TransactionInfoResponse>;
    changeHeaderDepositPercentage(uuid: string, amount: number): Promise<TransactionInfoResponse>;
    changeHeaderDepositAmount(uuid: string, amount: number): Promise<TransactionInfoResponse>;
    changeHeaderTransactionPreferredDeliveryDate(uuid: string, date: Date, option: string): Promise<TransactionInfoResponse>;
    changeHeaderAssemblyDate(uuid: string, date: Date, option: string): Promise<TransactionInfoResponse>;
    changeHeaderTransactionDeliveryTime(uuid: string, time: Date): Promise<TransactionInfoResponse>;
    changeHeaderTransactionDeliveryMethod(uuid: string, method: string): Promise<TransactionInfoResponse>;
    changeHeaderTransactionDeliveryOptions(uuid: string, options: string[]): Promise<TransactionInfoResponse>;
    changeHeaderTransactionPartialDelivery(uuid: string, allowPartial: boolean): Promise<TransactionInfoResponse>;
    changeHeaderTransactionBranch(uuid: string, branch: number): Promise<TransactionInfoResponse>;
    changeHeaderTransactionOnHoldCodes(uuid: string, codes: string[]): Promise<TransactionInfoResponse>;
    changeHeaderTransactionDivideEvenly(uuid: string, divideEvenly: boolean): Promise<TransactionInfoResponse>;
    changeHeaderTransactionAmountToSettle(uuid: string, amountToSettle: number): Promise<TransactionInfoResponse>;
    changeHeaderTransactionPriceKind(uuid: string, priceKind: string): Promise<TransactionInfoResponse>;
    changeHeaderTransactionPriceList(uuid: string, priceList: string): Promise<TransactionInfoResponse>;
    changeHeaderTransactionAdmCoordinator(uuid: string, relation: number): Promise<TransactionInfoResponse>;
    changeHeaderTransactionCurrency(uuid: string, currencyCode: string): Promise<TransactionInfoResponse>;
    changeHeaderTransactionType(uuid: string, transactionType: string): Promise<TransactionInfoResponse>;
    changeHeaderTransactionProjectCode(uuid: string, projectCode: number): Promise<TransactionInfoResponse>;
    changeHeaderTransactionPaymentCondition(uuid: string, condition: string): Promise<TransactionInfoResponse>;
    changeHeaderTransactionHandledBy(uuid: string, handledBy: number): Promise<TransactionInfoResponse>;
    changeHeaderTransactionMarketing(uuid: string, code: string): Promise<TransactionInfoResponse>;
    changeHeaderTransactionDiscount(uuid: string, type: DiscountType, amount: number): Promise<TransactionInfoResponse>;
    changeHeaderScoringChance(request: ChangeHeaderScoringChanceRequest): Promise<TransactionInfoResponse>;
    changeHeaderExpectedScoringDate(request: ChangeHeaderExpectedScoringDateRequest): Promise<TransactionInfoResponse>;
    changeHeaderRetailStadium(request: ChangeHeaderRetailStadiumRequest): Promise<TransactionInfoResponse>;
    changeHeaderAutoRecalculateDeposit(uuid: string, newAutoRecalculateDeposit: any): Promise<TransactionInfoResponse>;
    changeHeaderUseDepositRule(uuid: string, newUseDepositRule: boolean): Promise<TransactionInfoResponse>;
    changeHeaderContactPerson(uuid: string, relationId: number): Promise<TransactionInfoResponse>;
    changeServiceHeaderReportMessage(request: ChangeServiceHeaderReportMessageRequest): Promise<TransactionInfoResponse>;
    changeServiceHeaderCauseCode(request: ChangeServiceHeaderCauseCodeRequest): Promise<TransactionInfoResponse>;
    changeServiceHeaderServiceType(request: ChangeServiceHeaderServiceTypeRequest): Promise<TransactionInfoResponse>;
    changeServiceHeaderWizardData(request: ChangeServiceHeaderWizardDataRequest): Promise<TransactionInfoResponse>;
    changeServiceHeaderPriority(request: ChangeServiceHeaderPriorityRequest): Promise<TransactionInfoResponse>;
    changeServiceHeaderEntryType(request: ChangeServiceHeaderEntryTypeRequest): Promise<TransactionInfoResponse>;
    addHeaderImage(request: AddHeaderImageRequest): Promise<TransactionInfoResponse>;
    deleteHeaderImage(request: DeleteHeaderImageRequest): Promise<TransactionInfoResponse>;
    createIonePaymentLinkAndQRCode(uuid: string, amount: number, paymentMethodCode: string): Promise<CreatePaymentLinkResult>;
    getPaymentLinkStatus(paymentLinkUUID: string): Promise<PaymentLinkStatus>;
    getGoodsReceiptHistory(transId: number, lineNr: number): Promise<GoodsReceiptHistory>;
    receiveGoodsForPurchaseOrder(request: ReceiveGoodsForPurchaseOrderRequest): Promise<TransactionInfoResponse>;
    receiveGoodsForPurchaseOrderCorrection(request: ReceiveGoodsForPurchaseOrderCorrectionRequest): Promise<TransactionInfoResponse>;
    printPackageSticker(printRequest: PrintPackageStickerRequest): Promise<void>;
    pdfPackageSticker(pdfRequest: PdfPackageStickerRequest): Promise<void>;
    getPurchasePortalLines(request: GetPurchasePortalLine): Promise<PurchasePortalLine[]>;
    updatePurchasePortalLines(purchasePortalLine: PurchasePortalLine): Promise<boolean>;
    purchaseOrderConfirmation(purchaseOrderConfirmation: GetPurchaseOrderConfirmation): Promise<boolean>;
    linkTransactionToOrderConfirmation(analysisId: number, lines: OrderConfirmationTransactionLink[]): Promise<boolean>;
    lockPurchasePortalLines(transIdPurchase: number, lineId: number): Promise<boolean>;
    generateCommissionOrders(transId: number, onlyGenerateForDirectSellSuppliers: boolean): Promise<boolean>;
    getAnalysisResultsByAnalysisId(analysisId: number): Promise<OrderConfirmationAnalysisResult[]>;
    getAnalyzedOrderConfirmations(): Promise<AnalyzedOrderConfirmation[]>;
    getStockStickerTemplates(data: StockStickersPrintLayouts): Promise<StockStickersPrintLayouts[]>;
    getAvailableStockGroupedByWLBSByTransIdLineNr(transId: number, lineNr: number): Promise<AvailableStock[]>;
    getAvailableStockForSupplier(goodId: number, supplierRelationId: number): Promise<SupplierArticleStockForecast>;
    allocateGoodsForSalesOrder(request: AllocateGoodsForSalesOrderRequest): Promise<TransactionInfoResponse>;
    allocateGoodsForSalesOrderCorrection(request: AllocateGoodsForSalesOrderCorrectionRequest): Promise<TransactionInfoResponse>;
    getGoodsAllocationHistory(transId: number, lineNr: number): Promise<GoodsAllocationHistory>;
    getGoodsToBePickedHistory(transId: number, lineNr: number): Promise<GoodsToBePickedHistory>;
    getGoodsPickedHistory(transId: number, lineNr: number): Promise<GoodsPickedHistory>;
    getLinePurchaseHistory(transId: number, lineNr: number): Promise<PurchaseHistory>;
    getLinePurchaseInfo(transId: number, lineNr: number): Promise<PurchaseInfo[]>;
    deleteGoodsPicked(deleteGoodsPickedForOrderRequest: DeleteGoodsPickedForOrderRequest): Promise<TransactionInfoResponse>;
    deleteGoodsToBePicked(deleteGoodsToBePickedForOrderRequest: DeleteGoodsToBePickedForOrderRequest): Promise<TransactionInfoResponse>;
    setGoodsToBePickedForSalesOrder(request: GoodsToBePickedForOrderRequest): Promise<TransactionInfoResponse>;
    setGoodsPickedForOrder(request: GoodsPickedRequest): Promise<TransactionInfoResponse>;
    getOrderConfirmationEmailLayouts(transactionUUID: string): Promise<ReportLayoutSelectionEmail[]>;
    getCashOnDeliveryData(uuid: string): Promise<CashOnDeliveryData>;
    changeHeaderCashOnDeliveryAmount(request: ChangeHeaderCashOnDeliveryAmountRequest): Promise<void>;
    getOrderConfirmationPrintLayouts(transactionUUID: string): Promise<ReportLayoutSelectionPrint[]>;
    getOrderConfirmationDefaultSendMethod(relationId: number): Promise<number>;
    getDefaultEmailAddressListForOrderConfirmation(transactionUUID: string): Promise<string[]>;
    printOrderConfirmation(request: PrintOrderConfirmationRequest): Promise<CoDocument | boolean>;
    printHistoricOrderConfirmation(request: PrintHistoricOrderConfirmationRequest): Promise<void>;
    startOrderConfirmationBatch(request: BatchTransactionSendingRequest): Promise<void>;
    startPurchaseOrderFormBatch(request: BatchTransactionSendingRequest): Promise<void>;
    startToAllocateUnAllocatedLinesBatch(transIds: number[]): Promise<void>;
    startGoodsToBePickedBatch(request: BatchTransactionSendingRequest): Promise<void>;
    startGoodsPickedBatch(transIds: number[]): Promise<void>;
    startDeliveryNotesBatch(request: BatchTransactionSendingRequest): Promise<void>;
    startInvoiceBatch(request: BatchTransactionSendingRequest): Promise<void>;
    getBatchJobProgressesForTheUser(): Promise<BatchJobProgress[]>;
    deleteBatchJob(batchJobProgressId: number): Promise<void>;
    retryBatchJob(batchJobProgressId: number): Promise<void>;
    emailOrderConfirmation(request: EmailOrderConfirmationRequest): Promise<CoDocument | boolean>;
    emailHistoricOrderConfirmation(request: EmailHistoricOrderConfirmationRequest): Promise<void>;
    pdfOrderConfirmation(request: PdfOrderConfirmationRequest): Promise<CoDocument | boolean>;
    previewOrderConfirmation(request: PdfOrderConfirmationRequest): Promise<ReportingPdfBaseResponse>;
    pdfHistoricOrderConfirmation(request: PdfHistoricOrderConfirmationRequest): Promise<void>;
    printPurchaseOrder(request: PrintPurchaseOrderRequest): Promise<void>;
    emailPurchaseOrder(request: EmailPurchaseOrderRequest): Promise<void>;
    pdfPurchaseOrder(request: PdfPurchaseOrderRequest): Promise<void>;
    generateWebServiceOrder(transactionId: number): Promise<boolean>;
    canPurchaseOrderBeSendByWebservice(transactionId: number): Promise<boolean>;
    isPrintIsDefaultSendMethodForPurchaseOrder(transactionId: number): Promise<boolean>;
    getPurchaseOrderEmailLayouts(transactionUUID: string): Promise<ReportLayoutSelectionEmail[]>;
    getPurchaseOrderPrintLayouts(transactionUUID: string): Promise<ReportLayoutSelectionPrint[]>;
    getPurchaseOrderDefaultSendMethod(relationId: number): Promise<number>;
    generateAndSendPurchaseOrdersForSalesOrder(request: PrintPurchaseOrderForSalesOrderRequest): Promise<Object | boolean>;
    generateAndSendPurchaseOrdersForDirectSellSalesOrder(request: GeneratePurchaseOrdersForDirectSellSalesOrdersRequest): Promise<boolean>;
    getPurchaseAdviceLines(filters: PurchaseAdviceFilters, goodId?: number, showLoader?: boolean): Promise<PurchaseAdviceLine[]>;
    generateAndSendPurchaseOrders(purchaseAdviceLines: GenerateAndSendPurchaseOrdersRequest): Promise<boolean>;
    emailDeliveryNote(emailDeliveryNoteRequest: EmailDeliveryNoteRequest): Promise<CoDocument | boolean>;
    emailHistoricDeliveryNote(emailHistoricDeliveryNoteRequest: EmailHistoricDeliveryNoteRequest): Promise<boolean>;
    pdfDeliveryNote(pdfDeliveryNoteRequest: PdfDeliveryNoteRequest): Promise<boolean>;
    pdfHistoricDeliveryNote(pdfHistoricDeliveryNoteRequest: PdfHistoricDeliveryNoteRequest): Promise<boolean>;
    printDeliveryNote(printDeliveryNoteRequest: PrintDeliveryNoteRequest): Promise<CoDocument | boolean>;
    printDeliveryNotes(printDeliveryNotesRequest: PrintDeliveryNotesRequest): Promise<CoDocument | boolean>;
    printHistoricDeliveryNote(printHistoricDeliveryNoteRequest: PrintHistoricDeliveryNoteRequest): Promise<boolean>;
    getDeliveryNoteDefaultSendMethod(relationId: number): Promise<number>;
    getDeliveryNoteEmailLayouts(transactionUUID: string): Promise<ReportLayoutSelectionEmail[]>;
    getDeliveryNotePrintLayouts(transactionUUID: string): Promise<ReportLayoutSelectionPrint[]>;
    getDefaultEmailAddressListForInvoice(transactionUUID: string): Promise<string[]>;
    emailInvoice(emailInvoiceRequest: EmailInvoiceRequest): Promise<CoDocument | boolean>;
    emailHistoricInvoice(emailHistoricInvoiceRequest: EmailHistoricInvoiceRequest): Promise<boolean>;
    pdfInvoice(pdfInvoiceRequest: PdfInvoiceRequest): Promise<boolean>;
    pdfHistoricInvoice(pdfHistoricInvoiceRequest: PdfHistoricInvoiceRequest): Promise<boolean>;
    printInvoice(printInvoiceRequest: PrintInvoiceRequest): Promise<CoDocument | boolean>;
    printHistoricInvoice(printHistoricInvoiceRequest: PrintHistoricInvoiceRequest): Promise<boolean>;
    getInvoiceDefaultSendMethod(relationId: number): Promise<number>;
    pdfPosReceipt(pdfPosReceiptRequest: PdfPosReceiptRequest): Promise<PdfPosReceiptResponse>;
    printPosReceipt(printPosReceiptRequest: PrintPosReceiptRequest): Promise<boolean>;
    printHistoricPosReceipt(printHistoricPosReceiptRequest: PrintHistoricPosReceiptRequest): Promise<boolean>;
    emailPosReceipt(emailPosReceiptRequest: EmailPosReceiptRequest): Promise<boolean>;
    emailHistoricPosReceipt(emailHistoricPosReceiptRequest: EmailHistoricPosReceiptRequest): Promise<boolean>;
    getPosReceiptEmailLayouts(transactionUUID: string): Promise<ReportLayoutSelectionEmail[]>;
    getPosReceiptPrintLayouts(transactionUUID: string): Promise<ReportLayoutSelectionPrint[]>;
    getDefaultEmailAddressListForPosReceipt(transactionUUID: string): Promise<string[]>;
    getInvoiceEmailLayouts(transactionUUID: string): Promise<ReportLayoutSelectionEmail[]>;
    getInvoicePrintLayouts(transactionUUID: string): Promise<ReportLayoutSelectionPrint[]>;
    getQuotationDefaultSendMethod(relationId: number): Promise<number>;
    emailQuotation(emailQuotationRequest: EmailQuotationRequest): Promise<CoDocument | boolean>;
    emailHistoricQuotation(emailHistoricQuotationRequest: EmailHistoricQuotationRequest): Promise<boolean>;
    pdfQuotation(pdfQuotationRequest: PdfQuotationRequest): Promise<boolean>;
    pdfHistoricQuotation(pdfHistoricQuotationRequest: PdfHistoricQuotationRequest): Promise<boolean>;
    printQuotation(printQuotationRequest: PrintQuotationRequest): Promise<CoDocument | boolean>;
    printHistoricQuotation(printHistoricQuotationRequest: PrintHistoricQuotationRequest): Promise<boolean>;
    getQuotationEmailLayouts(transactionUUID: string): Promise<ReportLayoutSelectionEmail[]>;
    getQuotationPrintLayouts(transactionUUID: string): Promise<ReportLayoutSelectionPrint[]>;
    getDefaultEmailAddressListForQuotation(transactionUUID: string): Promise<string[]>;
    getPrinters(): Promise<Printer[]>;
    getDefaultPrinter(reportId: number, type: string): Promise<string>;
    getCurrencies(active?: boolean): Promise<Currency[]>;
    getCashTypes(type: string): Promise<CashType[]>;
    getPosGroups(): Promise<PosGroup[]>;
    getProjectCodes(date: Date): Promise<ProjectCode[]>;
    getAllProjectCodes(): Promise<ProjectCode[]>;
    addProjectCode(projectCode: ProjectCode): Promise<ProjectCode>;
    getPaymentConditions(name?: string): Promise<PaymentCondition[]>;
    getOrderLineSetCategories(): Promise<OrderLineSetCategory[]>;
    getServiceWizard(): Promise<ServiceWizard>;
    upsertServiceWizard(request: ServiceWizard): Promise<void>;
    getServiceTypes(): Promise<ServiceType[]>;
    addOrderLineSet(request: TransactionAddOrderLineSetTextLineRequest): Promise<TransactionInfoResponse>;
    updateOrderLineSet(request: OrderLineSetDTO): Promise<TransactionInfoResponse>;
    changeTransactionLineOrderLineSet(uuid: string, lineUuid: string, code: string): Promise<TransactionInfoResponse>;
    getJoinedTags(table: string, key: string): Promise<TagTreeItem[]>;
    mergeJoinedTags(table: string, key: string, tags: TagTreeItem[]): Promise<boolean>;
    getTagsFullTree(category: TagCategory, includeTags: boolean): Promise<TagTreeItem[]>;
    getTransactionInfo(transId: number, lineNr: number): Promise<TransactionInfoHistory[]>;
    getRefTransactions(transId: number): Promise<RefTransaction[]>;
    getInternalParameterValue(param: InternalParam): Promise<InternalParam>;
    getObjectConfiguration(screenCfgModule: string, params?: string | string[], insertMode?: boolean): Promise<ObjectConfiguration[]>;
    getHistoricDocuments(transId: number, documentCode: LayoutCode): Promise<HistoricReport[]>;
    getReportHeadersByTransIdAndLayoutCode(transId: number, documentCode: LayoutCode): Promise<HistoricReport[]>;
    getPackageStickerPrintLayouts(): Promise<ReportLayoutSelectionPrint[]>;
    getDocsToSignForTrans(request: GetDocsToSignForTransRequest): Promise<ReportListObject[]>;
    copySalesOrder(copyTransactionRequest: CopyTransactionRequest): Promise<TransactionInfoResponse>;
    copyPurchaseOrder(copyTransactionRequest: CopyTransactionRequest): Promise<TransactionInfoResponse>;
    copySalesQuotation(copyTransactionRequest: CopyTransactionRequest): Promise<TransactionInfoResponse>;
    addExternalCatalogArticlesToTransaction(uuid: string, catalogId: number, rawData: string, showLoader?: boolean): Promise<TransactionInfoResponse>;
    addExpenseToCashRegisterOrder(request: AddExpenseToCashRegisterOrderRequest): Promise<TransactionInfoResponse>;
    addReceiptToCashRegisterOrder(request: AddReceiptToCashRegisterOrderRequest): Promise<TransactionInfoResponse>;
    printSalesOrdersOverview(request: TransactionSearchViewRequest): Promise<PdfTransactionSearchOverviewResponse>;
    sendPackageInformationToLSP(request: TransactionLspInformationRequest): Promise<TransactionInfoResponse>;
    getPackageInformation(transactionUUID: string, lineUUID: string): Promise<PackageLSP[]>;
    getLogisticsPartners(): Promise<DeliveryMethod[]>;
    getPlanningSources(): Promise<Planning[]>;
    getPlanOrders(filterObject: PlanningFilterObject, planningId: number): Promise<PlanOrder[]>;
    getPlanTransportWeek(startDate: Date, planningId: number): Promise<PlanningTransportWeek[]>;
    updatePlanTransportWeek(planTransportWeek: PlanningTransportWeek): Promise<boolean>;
    loadDocumentsOfTransaction(key: string): Promise<CoDocument[]>;
    loadDocumentContent(docId: number, thumbnail?: boolean): Promise<string>;
    mergeDocumentOnTransaction(key: string, document: CoDocument): Promise<CoDocument>;
    deleteDocument(documentId: number): Promise<ValidationResult>;
    insertActivity(activity: Activity): Promise<ValidationResult>;
    updateActivity(activity: Activity): Promise<boolean>;
    getComponentActivitiesWithoutRelationFiltering(transactionId: number): Promise<Activity[]>;
    getHistoricActivities(transactionId: number): Promise<Activity[]>;
    getTransactionMarginInfo(transactionUUID: string): Promise<TransactionMarginInfo>;
    getTransportOrders(request: GetTransportOrdersRequest): Promise<PlanOrder[]>;
    getOrderLinesToPlan(request: OrderLinesToPlanRequest): Promise<PlanOrderLine[]>;
    getOrderLinesPlanned(request: OrderLinesPlannedRequest): Promise<PlanOrderLine[]>;
    undoDeliveryByReportId(reportId: number): Promise<DataServiceResponseData>;
    fireTrigger(workFlowProcessId: number, sequence: number, triggerId: number): Promise<ValidationResult>;
    fireGenericTrigger(workFlowProcessId: number, genericTransitionId: number, relationId: number): Promise<ValidationResult>;
    lockTask(id: number): Promise<boolean>;
    deleteActivity(activity: Activity): Promise<boolean>;
    getDefaultEmailAddressListForPurchaseOrder(uuid: string): Promise<string[]>;
    getPlanOrder(transId: number): Promise<PlanOrder>;
    convertCashRegisterOrderToSalesOrder(uuid: string): Promise<TransactionInfoResponse>;
    getLineIndicesByTransId(transId: number): Promise<TransactionLineSearchIndex[]>;
    getSalesOrderLines(request: OrderReservationSalesOrderLinesRequest): Promise<PurchaseReservation[]>;
    processReservation(request: ProcessOrderReservationRequest): Promise<TransactionInfoResponse>;
    undoReservation(transId: number, lineId: number): Promise<boolean>;
    getSLACategories(): Promise<SLAProduct[]>;
    getSLAProducts(): Promise<SLAProduct[]>;
    getDistricts(): Promise<District[]>;
    getEmployees(): Promise<RelationListObject[]>;
    getSkills(): Promise<Skill[]>;
    getUserGroups(): Promise<UserGroup[]>;
    restoreDeliverySettings(ordersToBeRestored: PlanOrder[]): Promise<any>;
    resourcePlanning(inputs: ResourcePlanningInputParams): Promise<PlanTimes[]>;
    doDeliveryPlanningRequest(inputs: DoDeliveryPlanningRequestInputParams): Promise<DataServiceResponseData>;
    getDeliveryDateOrder(transId: number): Promise<Date>;
    getPAStatusFromTransaction(transId: number): Promise<boolean>;
    checkAvailability(inputs: PlanningSendOrders): Promise<PlanTimes[]>;
    getInternalDefaultValue(param: InternalDefault): Promise<string>;
    getPlannedLinesForEmployee(planningId: number, relationId: number, date: Date): Promise<PlanningTransportWeek[]>;
    getPlannedResourcesForTransactionLine(transId: number, lineNr: number): Promise<PlannedResourceForTransactionLine[]>;
    getTermsAndConditionsForm(transId: number): Promise<any>;
    getTransactionPlanPeriods(transId: number): Promise<PlanTimes[]>;
    getSupplierProducts(goodId: number): Promise<SupplierProduct[]>;
    getDeliveryDateForSupplierProduct(goodId: number, supplierId: number): Promise<Date>;
    getVoucherInfo(voucherCode: string, toCurrencyCode?: string): Promise<Voucher>;
    getFirstConfirmedDeliveryDateForTransactionLine(transId: number, lineNr: number): Promise<Date>;
    getFormById(formId: number): Promise<Form>;
    getAllFormResponsesForTableAndKey(table: TableName, key: string): Promise<FormResponse[]>;
    getFormResponse(responseId: number): Promise<FormResponse>;
    insertFormResponse(formResponse: FormResponse): Promise<FormResponse>;
    getServiceOrderEmailLayouts(transactionUUID: string): Promise<ReportLayoutSelectionEmail[]>;
    getServiceOrderPrintLayouts(transactionUUID: string): Promise<ReportLayoutSelectionPrint[]>;
    getDefaultEmailAddressListForServiceOrder(uuid: string): Promise<string[]>;
    printServiceOrder(request: PrintServiceOrderRequest): Promise<void>;
    printHistoricServiceOrder(request: PrintHistoricServiceOrderRequest): Promise<boolean>;
    emailServiceOrder(request: EmailServiceOrderRequest): Promise<void>;
    emailHistoricServiceOrder(request: EmailHistoricServiceOrderRequest): Promise<boolean>;
    pdfServiceOrder(request: PdfServiceOrderRequest): Promise<void>;
    pdfHistoricServiceOrder(request: PdfHistoricServiceOrderRequest): Promise<boolean>;
    getServiceOrderDefaultSendMethod(relationId: number): Promise<number>;
    getCashRegistersForCurrentUser(): Promise<CashRegister[]>;
}
